log4cplus::internal::per_thread_data Struct Reference

Per thread data. More...

`#include <internal.h>`

Collaboration diagram for log4cplus::internal::per_thread_data:
[legend]

## Public Member Functions

| per_thread_data ()
| ~per_thread_data ()

## Public Attributes

tstring | macros_str
tostringstream | macros_oss
tostringstream | layout_oss
DiagnosticContextStack | ndc_dcs
MappedDiagnosticContextMap | mdc_map
log4cplus::tstring | thread_name
log4cplus::tstring | thread_name2
gft_scratch_pad | gft_sp
appender_sratch_pad | appender_sp
log4cplus::tstring | faa_str
log4cplus::tstring | ll_str
spi::InternalLoggingEvent | forced_log_ev
std::FILE * | fnull
log4cplus::helpers::snprintf_buf | snprintf_buf

## Detailed Description

Per thread data.

Definition at line 112 of file internal.h.

## Constructor & Destructor Documentation

## per_thread_data()

log4cplus::internal::per_thread_data::per_thread_data | ( |  | ) |

## ~per_thread_data()

log4cplus::internal::per_thread_data::~per_thread_data | ( |  | ) |

## Member Data Documentation

## appender_sp

appender_sratch_pad log4cplus::internal::per_thread_data::appender_sp

Definition at line 125 of file internal.h.

Referenced by log4cplus::internal::get_appender_sp().

## faa_str

log4cplus::tstring log4cplus::internal::per_thread_data::faa_str

Definition at line 126 of file internal.h.

## fnull

std::FILE* log4cplus::internal::per_thread_data::fnull

Definition at line 129 of file internal.h.

## forced_log_ev

spi::InternalLoggingEvent log4cplus::internal::per_thread_data::forced_log_ev

Definition at line 128 of file internal.h.

## gft_sp

gft_scratch_pad log4cplus::internal::per_thread_data::gft_sp

Definition at line 124 of file internal.h.

Referenced by log4cplus::internal::get_gft_scratch_pad().

## layout_oss

tostringstream log4cplus::internal::per_thread_data::layout_oss

Definition at line 119 of file internal.h.

## ll_str

log4cplus::tstring log4cplus::internal::per_thread_data::ll_str

Definition at line 127 of file internal.h.

## macros_oss

tostringstream log4cplus::internal::per_thread_data::macros_oss

Definition at line 118 of file internal.h.

## macros_str

tstring log4cplus::internal::per_thread_data::macros_str

Definition at line 117 of file internal.h.

## mdc_map

MappedDiagnosticContextMap log4cplus::internal::per_thread_data::mdc_map

Definition at line 121 of file internal.h.

## ndc_dcs

DiagnosticContextStack log4cplus::internal::per_thread_data::ndc_dcs

Definition at line 120 of file internal.h.

## snprintf_buf

log4cplus::helpers::snprintf_buf log4cplus::internal::per_thread_data::snprintf_buf

Definition at line 130 of file internal.h.

## thread_name

log4cplus::tstring log4cplus::internal::per_thread_data::thread_name

Definition at line 122 of file internal.h.

Referenced by log4cplus::internal::get_thread_name_str().

## thread_name2

log4cplus::tstring log4cplus::internal::per_thread_data::thread_name2

Definition at line 123 of file internal.h.

Referenced by log4cplus::internal::get_thread_name2_str().

The documentation for this struct was generated from the following file:

- internal.h